#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING

#include <bits/stdc++.h>

using namespace std;
int a[50050];

int main() {
    int n, ans = 0;
    scanf("%d", &n);
    for (int i = 0; i < n; i++)
        scanf("%d", a + i);
    for (int i = 0; i < n; i++) {
        int mx = a[i], mn = a[i];
        for (int j = i; j < n; j++) {
            mx = max(mx, a[j]);
            mn = min(mn, a[j]);
            if (mx - mn == j - i)
                ans++;
        }
    }
    printf("%d", ans);
    return 0;
}
